RHEL 3 : openldap (RHSA-2007:0430)

This script is Copyright (C) 2007-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

A updated openldap packages that fix a security flaw and a memory leak
bug are now available for Red Hat Enterprise Linux 3.

This update has been rated as having low security impact by the Red
Hat Security Response Team.

OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications, libraries and development tools.

A flaw was found in the way OpenLDAP handled selfwrite access. Users
with selfwrite access were able to modify the distinguished name of
any user. Users with selfwrite access should only be able to modify
their own distinguished name. (CVE-2006-4600)

A memory leak bug was found in OpenLDAP's ldap_start_tls_s() function.
An application using this function could result in an Out Of Memory
(OOM) condition, crashing the application.

All users are advised to upgrade to this updated openldap package,
which contains a backported fix and is not vulnerable to these issues.

See also :

https://www.redhat.com/security/data/cve/CVE-2006-4600.html
http://rhn.redhat.com/errata/RHSA-2007-0430.html

Solution :

Update the affected packages.

Risk factor :

Low / CVSS Base Score : 2.3
(CVSS2#AV:A/AC:M/Au:S/C:N/I:P/A:N)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 25477 ()

Bugtraq ID:

CVE ID: CVE-2006-4600